// ScriptDemo5.java

import java.io.*;

import javax.script.*;

public class ScriptDemo5
{
   public static void main (String [] args) throws Exception
   {
      // Create a ScriptEngineManager that discovers all script engine
      // factories (and their associated script engines) that are visible to
      // the current thread's classloader.

      ScriptEngineManager manager = new ScriptEngineManager ();

      // Obtain a ScriptEngine that supports the JavaScript short name.

      ScriptEngine engine = manager.getEngineByName ("JavaScript");

      // Define the functions specified by caldisp.js.

      engine.eval (new FileReader ("caldisp.js"));

      // Invoke caldisp ("lightblue", "lightgreen", "white", "yellow",
      // "#e7e7e7");.

      Invocable inv = (Invocable) engine;

      inv.invokeFunction ("caldisp", "lightblue", "lightgreen", "white",
                          "yellow", "#e7e7e7");
   }
}
